@echo off
:=== Parameters ===

:--- Pull content submodule ---
rem pushd resources\lib\content
rem git checkout .
rem git pull
rem popd

python get_version.py addon.xml >version.txt
set /p ver=<version.txt
echo %ver%
pause

set prog=PhotoStation
set pack_name=plugin.image.photostation
set desc=Play Synology PhotoStation media

set ipk_dir=ipkg\
set release_dir=release\
set repo_dir=..\repo\
set feed_dir=w:\repo\

set AR=\MinGW\bin\ar.exe
set TAR=\MinGW\msys\1.0\bin\tar.exe
rem set ZIP=\Program Files (x86)\Gow\bin\zip.exe

:=== data files ===
if exist "%pack_name%" rm -r -f "%pack_name%"
mkdir "%pack_name%""
if not exist %release_dir% mkdir %release_dir%
if not exist %repo_dir% mkdir %repo_dir%
if not exist  %repo_dir%%pack_name% mkdir  %repo_dir%%pack_name%
if not exist  %pack_name% mkdir %pack_name%

for %%f in (
readme.md
changelog.md
addon.xml
addon.py
icon.png
kodiswift\*.py
resources\__init__.py
resources\settings.xml
resources\icon.png
resources\language\English\*
resources\lib\__init__.py
resources\lib\photostation_api.py
) do echo f| xcopy %%f %pack_name%\%%f

if exist  %release_dir%%pack_name%-%ver%.zip rm %release_dir%%pack_name%-%ver%.zip
rem zip  -r %release_dir%%pack_name%-%ver%.zip %pack_name%
"C:\Program Files\WinRAR\winrar.exe" a -afzip -r %release_dir%%pack_name%-%ver%.zip %pack_name%
copy  addon.xml  %repo_dir%%pack_name%\addon.xml /Y
copy  %release_dir%%pack_name%-%ver%.zip  %repo_dir%%pack_name%\%pack_name%-%ver%.zip /Y
python -c "import hashlib; print hashlib.md5(open(r'%repo_dir%%pack_name%\%pack_name%-%ver%.zip','r').read()).hexdigest()" >%repo_dir%%pack_name%\%pack_name%-%ver%.zip.md5

git add %release_dir%%pack_name%-%ver%.zip

if not ()==(%1%) (
    git commit -m %ver%
    git tag -d "%ver%"
    git tag %ver%
    git push

    pushd  %repo_dir%..
    call update_repo.bat
    xcopy /s /y repo %feed_dir%
    popd
)
pause

